// creator  : weidu.exe (version 23100)
// argument : SARVIE01.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SARVIE01~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 18 even though they appear after this state */
~Global("TalkedToViekang","LOCALS",0)
OR(2)
InPartySlot(LastTalkedToBy,0)
Name("Imoen2",LastTalkedToBy)~ THEN BEGIN 0 // from:
  SAY #65855 /* ~Ah, my <BROTHERSISTER>.  I should have expected it would all end like this.~ */
  IF ~~ THEN REPLY #65859 /* ~I am no <BROTHERSISTER> of yours!~ */ DO ~SetGlobal("TalkedToViekang","LOCALS",1)~ GOTO 4
  IF ~~ THEN REPLY #65860 /* ~Who are you?  Another of Gromnir's Bhaalspawn followers, I presume.~ */ DO ~SetGlobal("TalkedToViekang","LOCALS",1)~ GOTO 3
  IF ~~ THEN REPLY #65861 /* ~Viekang... didn't I run into you in Trademeet?~ */ DO ~SetGlobal("TalkedToViekang","LOCALS",1)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2
  SAY #65863 /* ~Perhaps.  I spent a brief time there, between jumps.~ */
  IF ~~ THEN REPLY #65864 /* ~Between "jumps"?  What are you talking about?~ */ GOTO 2
  IF ~~ THEN REPLY #65866 /* ~It was you in Trademeet!  You vanished in a flash of lightning right in front of my eyes.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 3.0 1.1 1.0
  SAY #65868 /* ~The curse of my Bhaal-tainted blood.   Whenever I was afraid, I would suddenly be teleported to a completely new part of the world.  Most disruptive, especially while I was being hunted.~ */
  IF ~~ THEN REPLY #65882 /* ~Hunted?  By who?~ */ GOTO 5
  IF ~!Dead("gromnir")
~ THEN REPLY #65883 /* ~I don't have time for this.  I need to find Gromnir.~ */ GOTO 9
  IF ~~ THEN REPLY #65900 /* ~Sorry, I don't have time to chat.~ */ GOTO 10
END

IF ~~ THEN BEGIN 3 // from: 12.3 4.0 0.1
  SAY #65871 /* ~I am Viekang, a Child of Bhaal.  But I assure you I am no follower of Gromnir's.  If I could, I would leave this place.  Alas, my ability to jump has long since vanished.~ */
  IF ~~ THEN REPLY #65874 /* ~Jump?  What are you talking about?~ */ GOTO 2
  IF ~!Dead("gromnir")
~ THEN REPLY #65875 /* ~Do you know how I can find Gromnir?~ */ GOTO 9
  IF ~~ THEN REPLY #65901 /* ~Sorry, I don't have time to listen to your story.~ */ GOTO 10
END

IF ~~ THEN BEGIN 4 // from: 0.0
  SAY #65876 /* ~My apologies. I only meant we all share the same tainted blood of the Lord of Murder.  I meant no offense.~ */
  IF ~~ THEN REPLY #65877 /* ~Are you another of Gromnir's Bhaalspawn followers?~ */ GOTO 3
END

IF ~~ THEN BEGIN 5 // from: 2.0
  SAY #65879 /* ~By other Bhaalspawn, of course.  Yaga-Shura, for one.  Others.  Whenever I tried to build a life, the hunters would show up and poof - I'd jump.  Or teleport, if you rather.  It's not a very comfortable thing to live with.~ */
  IF ~~ THEN REPLY #65881 /* ~So how come you haven't jumped out of Saradush?~ */ GOTO 6
  IF ~!Dead("gromnir")
~ THEN REPLY #65888 /* ~I don't have time for this.  I need to find Gromnir.~ */ GOTO 9
  IF ~~ THEN REPLY #65902 /* ~Fascinating tale.  I'll be going now.~ */ GOTO 10
END

IF ~~ THEN BEGIN 6 // from: 13.0 5.0
  SAY #65889 /* ~It's kind of ironic, actually.  I ran into Melissan during my... travels.  She helped me, as she tries to help all the Bhaalspawn.  She helped me cure myself so my fear wouldn't make me jump anymore.~ */
  IF ~~ THEN DO ~SetGlobal("ViekangStory","GLOBAL",1)~ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #65895 /* ~At first it was a great relief.  Knowing you can be snatched away without any warning is a little upsetting.  But now, trapped here, I pray every day that my curse will manifest itself again.~ */
  IF ~~ THEN REPLY #65897 /* ~You must resent Melissan for putting you in this situation.~ */ GOTO 8
  IF ~!Dead("gromnir")
~ THEN REPLY #65898 /* ~Do you know how I can find Gromnir?~ */ GOTO 9
  IF ~~ THEN REPLY #65899 /* ~I think I'll be going now.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #65903 /* ~Melissan was only trying to help me.  She had the best of intentions, though obviously events have not worked out as we all hoped.~ */
  IF ~~ THEN REPLY #65904 /* ~I appreciate you taking the time to talk to me, but I should be going now.~ */ GOTO 10
  IF ~!Dead("gromnir")
~ THEN REPLY #65906 /* ~I may be able to provide a happy ending to this remarkable story if you tell me how to find Gromnir.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.1 7.1 5.1 3.1 2.1
  SAY #65911 /* ~I can't imagine why you would want to meet with Gromnir - he's rather unstable.  Paranoid even.  But he isn't hard to find.  He's in the throne room in the castle, or so I hear.  That's all I can tell you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 13.1 12.0 8.0 7.2 5.2 3.2 2.2
  SAY #65912 /* ~Fair enough.  If you want to talk again, I'll probably be right here.  Since I stopped jumping, I find I sometimes like to stay in one place for days at a time.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 18 even though they appear after this state */
~!InPartySlot(LastTalkedToBy,0)
!Name("Imoen2",LastTalkedToBy())~ THEN BEGIN 11 // from:
  SAY #71547 /* ~You... if you aren't a Bhaalspawn, you should probably leave this place.  It isn't safe for any of us... not that anywhere is, really, right now.~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,30)~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 18 even though they appear after this state */
~Global("TalkedToViekang","LOCALS",1)
OR(2)
InPartySlot(LastTalkedToBy,0)
Name("Imoen2",LastTalkedToBy)~ THEN BEGIN 12 // from:
  SAY #71719 /* ~You again?  Anything I can help you with, <BROTHERSISTER>?~ */
  IF ~~ THEN REPLY #71720 /* ~No, not really.~ */ GOTO 10
  IF ~~ THEN REPLY #71721 /* ~Don't you think you should get out of here while you can?~ */ GOTO 13
  IF ~CheckStatGT(Player1,17,INT)
Global("ViekangStory","GLOBAL",1)~ THEN REPLY #71722 /* ~I think I may have figured out a way to get your power back.~ */ GOTO 14
  IF ~~ THEN REPLY #73263 /* ~Who'd you say you were, again?~ */ GOTO 3
END

IF ~~ THEN BEGIN 13 // from: 12.1
  SAY #71723 /* ~And go where?  If that army gets into the city, there's nowhere that'll be safe.  Every last Bhaalspawn will be hunted down, including me.  I almost wish I could be scared about it.~ */
  IF ~~ THEN REPLY #73261 /* ~What do you mean you 'wish' you could be scared?~ */ GOTO 6
  IF ~~ THEN REPLY #73262 /* ~Yes, well, I'll be on my way.~ */ GOTO 10
END

IF ~~ THEN BEGIN 14 // from: 12.2
  SAY #71724 /* ~Really?  How?~ */
  IF ~~ THEN REPLY #71725 /* ~Melissan removed your capacity to be scared, right?  Literally?~ */ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #71726 /* ~I think so.  She doesn't know how to return it, either.  Not permanently.~ */
  IF ~~ THEN REPLY #71727 /* ~But all you need is to get scared once and you'd at least be away from here, right?~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #71728 /* ~I don't know.  Probably.~ */
  IF ~~ THEN REPLY #71729 /* ~So a Horror spell or something similar should do the trick!~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #71730 /* ~Hmmm.  Maybe.  I'm either immune or resistant to a lot of magic, but you never know.  Too bad I don't know any spells or I'd try it out.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Global("ViekangBye","LOCALS",1)~ THEN BEGIN 18 // from:
  SAY #71731 /* ~Wh-what?  It... it's working!  I'm starting to feel fear!  That... that means I'll teleport away!  Oh, thank you!  Thank you!!~ */
  IF ~~ THEN DO ~AddXP2DA("PLOT8F")
ReallyForceSpell(Myself,VIEKANG_LIGHTNING)~ EXIT
END
